MantisBT  Site | Plugring | Plugins API and Macros | Forum | English Forum | Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003466Far ManagerPanel.Panel Modespublic2017-08-07 15:562017-08-09 09:32
ReporterNekoKoneko 
Assigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003466: Зависание/падение по перерасходу памяти при добавлении новых столбцов панели без указания ширины
DescriptionЕсли в режим панели добавить один или несколько столбцов, но не задать для них ширину, то, получим либо мусор в конце списка ширин (отрицательные значения, если запускать в Debug), либо падение по перерасходу памяти (в Release).
Текущий режим панелей не имеет значения, воспроизводится на любом.
Наличие плагинов/макросов не влияет.
Steps To Reproduce
  1. Открыть Параметры -> Режимы панели файлов, редактировать текущий режим
  2. В конец поля "Типы колонок" добавить одну или несколько колонок, например, ,D,T
  3. Получаем либо мусор в ширинах, либо зависаем/падаем
TagsNo tags attached.
Build5002
Attached Files

- Relationships

-  Notes
(0015511)
shmuel (developer)
2017-08-07 19:22

Воспроизвёл на билде 4985 x64. На x86 воспроизвести не получилось.
(0015522)
DrKnS (administrator)
2017-08-08 22:29

5002
(0015523)
NekoKoneko (reporter)
2017-08-09 08:28

Все работает. Можно закрывать.

- Issue History
Date Modified Username Field Change
2017-08-07 15:56 NekoKoneko New Issue
2017-08-07 19:22 shmuel Note Added: 0015511
2017-08-08 22:27 DrKnS Assigned To => DrKnS
2017-08-08 22:27 DrKnS Status new => assigned
2017-08-08 22:29 DrKnS Note Added: 0015522
2017-08-08 22:29 DrKnS Status assigned => feedback
2017-08-09 08:28 NekoKoneko Note Added: 0015523
2017-08-09 08:28 NekoKoneko Status feedback => assigned
2017-08-09 09:32 DrKnS Build => 5002
2017-08-09 09:32 DrKnS Status assigned => closed
2017-08-09 09:32 DrKnS Resolution open => fixed
2017-08-09 09:32 DrKnS Fixed in Version => 3.0



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker